Bug 115955 - missing return statements
missing return statements
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pam_smb (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 07:06 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 00:56:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-17 07:06:23 EST
Description of problem:

I just tried to compile package pam_smb-1.1.7-2 from Fedora.

The compiler said

1.

session.c(311): warning #1011: missing return statement at end of
non-void function "RFCNB_Listen"

The source code is

void *RFCNB_Listen()

{

}

Clearly broken code. Is this code work in progress ?

2.

session.c(358): warning #1011: missing return statement at end of
non-void function "RFCNB_Get_Error_Msg"

The source code is

int RFCNB_Get_Error_Msg(int code, char *msg_buf, int len)

{

  strncpy(msg_buf, RFCNB_Error_Strings[abs(code)], len);

}

Missing return statement ?

3.


rfcnb-util.c(226): warning #1011: missing return statement at end of
non-void function "RFCNB_Free_Pkt"

The source code is

  }

}

Another missing return statement ?

4.

smblib-util.c(790): warning #1011: missing return statement at end of
non-void function "SMB_Get_Error_Msg"

Source code is

  }

}

Another missing return statement ?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Thacker 2006-04-22 00:56:31 EDT
Not going to patch upstream code to quiet a compiler warning rather 
than fix a bug or error.

Note You need to log in before you can comment on or make changes to this bug.